## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.gable.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### GET

/v0/components/history

Try it

Get components history

### cURL

```bash
curl --request GET \
  --url 'https://demo-api.gable.ai/v0/components/history?branchName=main&limit=20&sortBy=commitTimestamp&sortOrder=desc' \
  --header 'X-API-KEY: <api-key>'
```

### Python

```python
import requests

url = "https://demo-api.gable.ai/v0/components/history?branchName=main&limit=20&sortBy=commitTimestamp&sortOrder=desc"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/components/history?branchName=main&limit=20&sortBy=commitTimestamp&sortOrder=desc', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://demo-api.gable.ai/v0/components/history?branchName=main&limit=20&sortBy=commitTimestamp&sortOrder=desc",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-KEY: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://demo-api.gable.ai/v0/components/history?branchName=main&limit=20&sortBy=commitTimestamp&sortOrder=desc"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-KEY", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

### Unirest

```java
HttpResponse<String> response = Unirest.get("https://demo-api.gable.ai/v0/components/history?branchName=main&limit=20&sortBy=commitTimestamp&sortOrder=desc")
  .header("X-API-KEY", "<api-key>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/components/history?branchName=main&limit=20&sortBy=commitTimestamp&sortOrder=desc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Format

```json
{
  "history": [
    {
      "runId": "<string>",
      "componentId": "<string>",
      "componentName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "commitTimestamp": "2023-11-07T05:31:56Z",
      "analysisTimestamp": "2023-11-07T05:31:56Z",
      "jobTrigger": "<string>",
      "branchName": "<string>",
      "commitSha": "<string>",
      "namespace": "<string>",
      "repoUri": "<string>",
      "job_id": "<string>"
    }
  ],
  "nextCursor": "<string>"
}
```

### Authorizations

| Field  | Type   | In     | Required |
|--------|--------|--------|----------|
| X-API-KEY | string | header | required |

### Query Parameters

| Parameter        | Type           | Description ""
|------------------|----------------|-------------------------------------|
| componentName    | string         | Human-readable name of the component.|
| branchName       | string         | default:main; Filter by git branch name. |
| commitSha        | string         | Filter by git commit SHA. |
| namespace        | string         | Filter by namespace (e.g. prod, staging, dev). |
| timeRangeStart   | string<date-time>| Inclusive start timestamp for filtering runs. |
| timeRangeEnd     | string<date-time>| Inclusive end timestamp for filtering runs. |
| runId            | string         | Filter by specific run ID. |
| limit            | integer        | default:20; Maximum number of history entries to return. |
| cursor           | string         | Token for paginating through large result sets. |
| sortBy           | enum<string>   | default:commitTimestamp; Field to sort results by. |
| sortOrder        | enum<string>   | default:desc; Sort direction. |

### Response Status Codes

| Status Code | Description |
|-------------|-------------|
| 200         | Component history retrieved successfully |
| 400         | Bad Request |
| 500         | Internal Server Error |
